> For the complete documentation index, see [llms.txt](https://docs.geopard.tech/geopard-tutorials/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geopard.tech/geopard-tutorials/lva/api-dokumentacija/geopard-api-pieprasijumu-parskats/86.-vaicajums-sanemt-farms.md).

# 86. Vaicājums: saņemt "Farms"

Zemāk ir aprakstīta pamatā izmantotā GraphQL vaicājuma struktūra, lai izgūtu visus lietotājam pieejamos "Fermas":

{% code overflow="wrap" lineNumbers="true" %}

```graphql
vaicājums FetchAllFarms {
  getFarms {
    uuid
    userUuid
    nosaukums
    farmOwnership
    externalKey
    ownerEmail
    izveidesDatums
    updatedDate
  }
}
```

{% endcode %}

Papildus citiem parametriem, jūs varat izmantot `farmUuids` un `externalKeys` filtrus, lai pielāgotu atbildi. Šos filtrus var lietot neatkarīgi vai kombinācijā, ļaujot mērķtiecīgāk izgūt datus.

{% code overflow="wrap" lineNumbers="true" %}

```graphql
vaicājums FetchAllFarmsWithFilters {
  getFarms(
    farmUuids:["<placeholder_of_farm_uuid>"], 
    externalKeys:["<placeholder_of_external_key>"]
  ) {
    uuid
    userUuid
    nosaukums
    farmOwnership
    externalKey
    ownerEmail
    izveidesDatums
    updatedDate
  }
}
```

{% endcode %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.geopard.tech/geopard-tutorials/lva/api-dokumentacija/geopard-api-pieprasijumu-parskats/86.-vaicajums-sanemt-farms.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
